@echo off

echo Rebuilding WSYS....
"%CD%/tool/wsystool.exe" pack "./Audio_Modding/W_SoundEffects" "./Audio_Modding/include/0.wsy" -awpath "%CD%/Banks"
"%CD%/tool/wsystool.exe" pack "./Audio_Modding/W_MainMenu" "./Audio_Modding/include/1.wsy" -awpath "%CD%/Banks"
"%CD%/tool/wsystool.exe" pack "./Audio_Modding/W_Instruments+Voices" "./Audio_Modding/include/2.wsy" -awpath "%CD%/Banks"
"%CD%/tool/wsystool.exe" pack "./Audio_Modding/W_Insruments+Ghosts" "./Audio_Modding/include/3.wsy" -awpath "%CD%/Banks"



echo Applying IBNK changes 

echo IBNK0
"%CD%/tool/ibnktool.exe" pack "./Audio_Modding/IBNK0" "./Audio_Modding/include/0.bnk" --quiet
echo IBNK1
"%CD%/tool/ibnktool.exe" pack "./Audio_Modding/IBNK1" "./Audio_Modding/include/1.bnk" --quiet
echo IBNK2 
"%CD%/tool/ibnktool.exe" pack "./Audio_Modding/IBNK2" "./Audio_Modding/include/2.bnk" --quiet
echo IBNK3
"%CD%/tool/ibnktool.exe" pack "./Audio_Modding/IBNK3" "./Audio_Modding/include/3.bnk" --quiet
echo IBNK4
"%CD%/tool/ibnktool.exe" pack "./Audio_Modding/IBNK4" "./Audio_Modding/include/4.bnk" --quiet
echo IBNK5
"%CD%/tool/ibnktool.exe" pack "./Audio_Modding/IBNK5" "./Audio_Modding/include/5.bnk" --quiet

echo Packing BST 
"%CD%/tool/bast.exe" pack "./Audio_Modding/SoundTable/" "./Audio_Modding/include/0.bst" "10110001020304FFFFFFFFFFFFFFFFFFFFFF"

echo Rebuilding SE.BMS
"%CD%/tool/bmparse.exe" assemble "./Audio_Modding/SoundEffectBMS" "./Audio_Modding/Sequences/LuigiSe.bms.bms"

echo Replacing sequences.... 
"%CD%/tool/barctool.exe" pack "./Audio_Modding/Sequences" "./Audio_Modding/include/1.arc" -arc "./Seqs"


echo Rebuilding AAF....
"%CD%/tool/jampacked.exe" pack "./Audio_Modding" "./JAIInit.aaf"
echo Done!
pause 